Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622171 - [abrt] crash in rygel-0.6.0-1.fc13: Process /usr/bin/rygel was killed by signal 11 (SIGSEGV)
[abrt] crash in rygel-0.6.0-1.fc13: Process /usr/bin/rygel was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rygel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:c5883b8b32d9ee058bd5c2e0999...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 17:58 EDT by Stephen Moehle
Modified: 2011-06-28 10:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.59 KB, text/plain)
2010-08-07 17:58 EDT, Stephen Moehle
no flags Details

  None (edit)
Description Stephen Moehle 2010-08-07 17:58:53 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: rygel
component: rygel
crash_function: free_desktop_properties_get_all
executable: /usr/bin/rygel
global_uuid: c5883b8b32d9ee058bd5c2e0999c7c9d1705e4a0
kernel: 2.6.34.2
package: rygel-0.6.0-1.fc13
rating: 4
reason: Process /usr/bin/rygel was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Attempted to integrate pulseaudio with rygel using pulseaudio's module-rygel-media-server.so module. The integration works as rygel states:

** Message: New plugin 'org.gnome.UPnP.MediaServer1.PulseAudio' available

And the pulseaudio streams are exported according the upnp players I tried. As soon as I try to play one of the streams (which has a current source), rygel crashes as described in steps to reproduce.

Fedora: F13 x86_64
Pulseaudio: 0.9.21-6.fc13.
Rygel: 0.6.0-1.fc13

How to reproduce
-----
1. Loadl pulseaudio module for rygel: pactl load-module module-rygel-media-server.so

2. Start rygel on the command line. The following is sent to stdout/err:
** (rygel:13841): DEBUG: Loaded user configuration from file '/home/stephe/.config/rygel.conf'
** Message: New plugin 'MediaExport' available
** Message: New plugin 'GstRenderer' available
** Message: New plugin 'org.gnome.UPnP.MediaServer1.PulseAudio' available
** Message: New plugin 'org.gnome.UPnP.MediaServer1.DVBDaemon' available
** Message: 'file:///home/stephe/Music' harvested

3. Try to play an exported pulseaudio stream using an upnp client such as Rhythmbox or even MediaStreamer or MediaBox on an N800.

4. Crash with this sent to stderr:
** (rygel:13841): WARNING **: rygel-http-request.vala:97: Method "GetAll" with signature "s" on interface "org.freedesktop.DBus.Properties" doesn't exist

Segmentation fault (core dumped)
Comment 1 Stephen Moehle 2010-08-07 17:58:55 EDT
Created attachment 437379 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-01 07:55:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:52:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.